Advisory Details

December 8th, 2015

Adobe Flash JIT Spray ASLR/DEP Bypass Vulnerability

ZDI-15-614
ZDI-CAN-2217

CVE ID CVE-2015-8453
CVSS SCORE 5.1, (AV:N/AC:H/Au:N/C:P/I:P/A:P)
AFFECTED VENDORS Adobe
AFFECTED PRODUCTS Flash
VULNERABILITY DETAILS


This vulnerability allows remote attackers to execute arbitrary code on vulnerable installations of Adobe Flash. User interaction is required to exploit this vulnerability in that the target must visit a malicious page or open a malicious file.

The specific flaw exists within Adobe Flash Player when processing JIT data, which could allow remote attackers to bypass ASLR via a malicious SWF file or web page.

ADDITIONAL DETAILS Adobe has issued an update to correct this vulnerability. More details can be found at:
https://helpx.adobe.com/security/products/flash-player/apsb15-32.html
DISCLOSURE TIMELINE
  • 2014-12-23 - Vulnerability reported to vendor
  • 2015-12-08 - Coordinated public release of advisory
CREDIT VUPEN
BACK TO ADVISORIES